Bug 167582 - Riva TNT card support missing, nvidia driver
Riva TNT card support missing, nvidia driver
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-05 18:33 EDT by A Yliaho
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-12 13:36:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A Yliaho 2005-09-05 18:33:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
After a kernel and nvidia driver upgrade, the new nvidia driver 1.0.7676
does not support my Riva TNT card anmore. The X does not run before it is
configured to use "nv" driver again instead of "nvidia".

the "nv" driver (in /etc/X11/xorg.conf) would work otherwise, but on every
machine boot, it still tries with "nvidia" driver, as long as there is the nvidia-glx script present (/etc/rc5.d/S08nvidia-glx).

There's neither the old, working nvidia module version 1.0.7174 compiled for nvidia-glx and kernel-module-nvidia-2.6.12-1.1447_FC4 in yum repositories. Having this version, or nvidia's legacy driver, could solve the problem.



Version-Release number of selected component (if applicable):
kernel-module-nvidia-2.6.12-1.1447_FC4

How reproducible:
Always

Steps to Reproduce:
1. First you have kernel-2.6.12-1.1398_FC4.i686, nvidia-glx-1.0.7174-0.lvn.4.4.i386 and kernel-module-nvidia-2.6.12-1.1398_FC4-1.0.7174-0.lvn.4.4.i686

2. install kernel-2.6.12-1.1447_FC4.i686, reboot, and later do
yum --enablerepo=livna-testing install nvidia-glx kernel-module-nvidia-`(uname -r)`

3. reboot to start X, or init 5


Actual Results:  packages installed:
kernel-2.6.12-1.1447_FC4.i686.rpm
kernel-module-nvidia-2.6.12-1.1447_FC4-1.0.7676-0.lvn.2.4.i686.rpm
nvidia-glx-1.0.7676-0.lvn.2.4.i386.rpm

After doing those steps, you'll result a nvidia-glx-1.0.7676 version, which no more supports Riva TNT card. When the X is being tried to run, an ncurses style box appeared, where it shows some content of /var/log/Xorg.0.log. See additional information.

A graphical configurator is being shown, writing /etc/X11/xorg.conf with
the default "nv" driver instead, then starts the X with a config which works.



Expected Results:  I didn't expect my Riva TNT card is legacy from now on.

The "nv" driver (in /etc/X11/xorg.conf) should work otherwise, but on every
machine boot, it still tries with "nvidia" driver, as long as there is the nvidia-glx script present (/etc/rc5.d/S08nvidia-glx), so i had to do:

yum remove nvidia-glx kernel-module-nvidia-*

for a proper default environment, where Riva TNT card could run with the basic "nv" driver. This is missing 3D acceleration though.


Additional info:

From /var/log/Xorg.0.log:

(II) NVIDIA X Driver  1.0-7676  Fri Jul 29 13:01:02 PDT 2005
(II) NVIDIA Unified Driver for all NVIDIA GPUs
(II) Primary Device is: PCI 01:00:0
(WW) The NVIDIA RIVA TNT2 Model 64/Model 64 Pro GPU installed in
(WW)      this system is supported through the NVIDIA Legacy
(WW)      drivers. Please visit
(WW)      http://www.nvidia.com/object/unix.html for more
(WW)      information.  The 1.0-7676 NVIDIA driver will ignore this
(WW)      GPU.  Continuing probe...
(EE) No devices detected.
Comment 1 Mike A. Harris 2005-09-12 13:36:36 EDT
Thanks for the report.  For users who are experiencing problems
installing, configuring, or using the unsupported 3rd party
proprietary "nvidia" video driver, Nvidia provides indirect
customer support via an online web based support forum.  Nvidia
monitors these web forums for commonly reported problems and
passes them on to Nvidia engineers for investigation.  Once
they've isolated a particular problem, it is often fixed in
a future video driver update.

The NVNews Nvidia Linux driver forum is located at:

    http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

Once you have reported this issue in the Nvidia web forums,
others who may have experienced the particular problem may
be able to assist.  If there is a real bug occuring, Nvidia
will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system
releases that they officially support.

While Red Hat does not support the proprietary nvidia driver,
users requiring technical support may also find the various
X.Org, XFree86, and Red Hat mailing lists helpful in finding
assistance:

X.Org mailing lists:
    http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
    http://www.xfree86.org/sos/lists.html

Red Hat mailing lists:
    https://listman.redhat.com/mailman/listinfo

Setting status to "CANTFIX" (unsupported).

Note You need to log in before you can comment on or make changes to this bug.